Bug 239289 - devel/hs-git-annex: git-annex-shell and git-remote-tor-annex symlinks don't point to git-annex, fail calling convention
Summary: devel/hs-git-annex: git-annex-shell and git-remote-tor-annex symlinks don't p...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-haskell mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-18 19:45 UTC by taca
Modified: 2019-07-31 18:19 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (haskell)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description taca 2019-07-18 19:45:36 UTC
Hello,

git-annex runs git-annex-shell or git-remote-tor-annex functionality according to the name it's called by (http://source.git-annex.branchable.com/?p=source.git;a=blob;f=git-annex.hs;h=4992f4c76ef00a2c6326cedeedefbec72ef7eb5e;hb=HEAD for instance).

On current hs-git-annex installations, those commands are symlinks to a wrapper script /usr/local/bin/git-annex, not the binary itself, which is located at /usr/local/libexec/cabal/git-annex.

Running either will just result in running the non-qualified git-annex functionality. The indirection defeats the calling convention.

I believe the wrapper script approach was introduced here: https://svnweb.freebsd.org/ports?view=revision&sortby=log&sortdir=down&revision=504093.

Not sure how to keep setting the environment variables without dedicated wrappers for those commands calling links in /usr/local/libexec/cabal/ pointing to git-annex.

Presumably this issue applies to any other program that relies on this kind of calling convention.

Regards,
Comment 1 Gleb Popov freebsd_committer 2019-07-19 13:07:35 UTC
Sigh. Problem acknowledged. I'll try to come up with a solution for this.
Comment 2 commit-hook freebsd_committer 2019-07-31 18:18:47 UTC
A commit references this bug:

Author: arrowd
Date: Wed Jul 31 18:18:34 UTC 2019
New revision: 507727
URL: https://svnweb.freebsd.org/changeset/ports/507727

Log:
  devel/hs-git-annex: Fix git-annex-shell and git-remote-tor-annex executables.

  PR:		239289

Changes:
  head/Mk/Uses/cabal.mk
  head/devel/hs-git-annex/Makefile
  head/devel/hs-git-annex/pkg-plist
Comment 3 Gleb Popov freebsd_committer 2019-07-31 18:19:39 UTC
Should be fixed now. Thanks for the report.